import { EventEmitter, OnInit, ElementRef, Renderer } from '@angular/core';
import { Stream } from 'openvidu-browser';
import { DomSanitizer, SafeUrl } from '@angular/platform-browser';
import { OpenViduHangoutsIntl } from '../openvidu-hangouts-intl';
export declare class StreamHangoutsComponent implements OnInit {
    private domSanitizer;
    private renderer;
    private _intl;
    onSourceAdded: EventEmitter<void>;
    micEnabled: boolean;
    camEnabled: boolean;
    name: ElementRef;
    videoStream: ElementRef;
    videoSrc: SafeUrl;
    muted: boolean;
    private _stream;
    constructor(domSanitizer: DomSanitizer, renderer: Renderer, _intl: OpenViduHangoutsIntl);
    stream: Stream;
    ngOnInit(): void;
}
