"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var testing_1 = require("@angular/core/testing");
// Imports dependencies of component to be tested
var openvidu_module_1 = require("../../openvidu.module");
// Component to be tested
var stream_hangouts_component_1 = require("./stream-hangouts.component");
describe('AngularOpenVidu Stream Hangouts', function () {
    var fixture;
    var component;
    beforeEach(testing_1.async(function () {
        // Setup the component to be tested
        testing_1.TestBed.configureTestingModule({
            imports: [
                openvidu_module_1.OpenViduModule
            ],
            providers: [
                { provide: testing_1.ComponentFixtureAutoDetect, useValue: true }
            ]
        })
            .compileComponents().then(function () {
            fixture = testing_1.TestBed.createComponent(stream_hangouts_component_1.StreamHangoutsComponent);
            fixture.detectChanges();
            component = fixture.componentInstance;
        });
    }));
    afterEach(function () {
        // Reset the testing module
        testing_1.getTestBed().resetTestingModule();
    });
    it('should create the component', function () {
        // Check that the componente has been instanciated
        expect(component).toBeTruthy();
    });
});
