import { EventEmitter, OnInit, ElementRef, Renderer } from '@angular/core';
import { Stream } from 'openvidu-browser';
import { DomSanitizer, SafeUrl } from '@angular/platform-browser';
import { OpenViduGoToMeetingIntl } from '../openvidu-gotomeeting-intl';
export declare class StreamGoToMeetingComponent implements OnInit {
    private domSanitizer;
    private renderer;
    private _intl;
    onSourceAdded: EventEmitter<void>;
    name: ElementRef;
    videoStream: ElementRef;
    videoSrc: SafeUrl;
    muted: boolean;
    private _stream;
    constructor(domSanitizer: DomSanitizer, renderer: Renderer, _intl: OpenViduGoToMeetingIntl);
    stream: Stream;
    ngOnInit(): void;
}
